Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class SoftReferenceSymbolTable.SREntryData

    java.lang.Object
      org.apache.xerces.util.SoftReferenceSymbolTable.SREntryData

Enclosing class:
  SoftReferenceSymbolTable

    protected static final class SoftReferenceSymbolTable.SREntryData

extends java.lang.Object

Field Summary
`char[]` | `characters`
`java.lang.String` | `symbol`

Constructor Summary
`SoftReferenceSymbolTable.SREntryData(java.lang.String internedSymbol)`
`SoftReferenceSymbolTable.SREntryData(java.lang.String internedSymbol, char[] ch, int offset, int length)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbol

    public java.lang.String symbol

### characters

    public char[] characters

Constructor Detail

### SoftReferenceSymbolTable.SREntryData

    public SoftReferenceSymbolTable.SREntryData(java.lang.String internedSymbol)

### SoftReferenceSymbolTable.SREntryData

    public SoftReferenceSymbolTable.SREntryData(java.lang.String internedSymbol,
                                                char[] ch,
                                                int offset,
                                                int length)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.